-- Copyright (c) 2016-2019 Cloudera, Inc. All rights reserved.
-- This code is provided to you pursuant to your written agreement with Cloudera, which may be the terms of the
-- Affero General Public License version 3 (AGPLv3), or pursuant to a written agreement with a third party authorized
-- to distribute this code.  If you do not have a written agreement with Cloudera or with an authorized and
-- properly licensed third party, you do not have any rights to this code.
-- If this code is provided to you under the terms of the AGPLv3:
-- (A) CLOUDERA PROVIDES THIS CODE TO YOU WITHOUT WARRANTIES OF ANY KIND;
-- (B) CLOUDERA DISCLAIMS ANY AND ALL EXPRESS AND IMPLIED WARRANTIES WITH RESPECT TO THIS CODE, INCLUDING BUT NOT
-- LIMITED TO IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE;
-- (C) CLOUDERA IS NOT LIABLE TO YOU, AND WILL NOT DEFEND, INDEMNIFY, OR HOLD YOU HARMLESS FOR ANY CLAIMS ARISING
-- FROM OR RELATED TO THE CODE; AND
-- (D) WITH RESPECT TO YOUR EXERCISE OF ANY RIGHTS GRANTED TO YOU FOR THE CODE, CLOUDERA IS NOT LIABLE FOR ANY
-- DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, PUNITIVE OR CONSEQUENTIAL DAMAGES INCLUDING, BUT NOT LIMITED
-- TO, DAMAGES RELATED TO LOST REVENUE, LOST PROFITS, LOSS OF INCOME, LOSS OF BUSINESS ADVANTAGE OR
-- UNAVAILABILITY, OR LOSS OR CORRUPTION OF DATA.


CREATE TABLE "topic_schema_mapping" (
  "id"                  NUMBER(19,0)    NOT NULL,
  "topic"               VARCHAR2(255)   NOT NULL,
  "keySchemaName"       VARCHAR2(255),
  "valueSchemaName"     VARCHAR2(255)   NOT NULL,
  "timestamp"           NUMBER(19,0),
  CONSTRAINT pk_tsm PRIMARY KEY ("topic"),
  CONSTRAINT uk_tsm__id UNIQUE ("id")
) SEGMENT CREATION IMMEDIATE;

CREATE SEQUENCE "TOPIC_SCHEMA_MAPPING" START WITH 1 INCREMENT BY 1 MAXVALUE 10000000000000000000;